library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity Digit2 is
	port(
		clock : in std_logic;
		LED : out std_logic;
		Upper : in std_logic_vector(3 downto 0);
		Lower : in std_logic_vector(3 downto 0);
		MSEG : out std_logic_vector(7 downto 0);
		MDEG  : out std_logic_vector(1 downto 0)
		);
end Digit2;

architecture RTL of Digit2 is
	signal Q : std_logic_vector(23 downto 0);
	signal Upperi : std_logic_vector(3 downto 0);
	signal Loweri : std_logic_vector(3 downto 0);	

	component Counter99
		port (
			clk : in std_logic;
			Upper : out std_logic_vector(3 downto 0);
			Lower : out std_logic_vector(3 downto 0)
		);
	end component;
	
	component Display
		port (
			Digit: in std_logic_vector(1 downto 0);
			BCD1 : in std_logic_vector(3 downto 0);
			BCD2 : in std_logic_vector(3 downto 0);
			SEGX : out std_logic_vector(7 downto 0);
			DEG  : out std_logic_vector(1 downto 0)
		);
	end component;
	
	begin
		C1 : Counter99 port map(
			clk => Q(23),
			Upper => Upperi,
			Lower => Loweri
		);
		
		D1 : Display port map(
			Digit(0) => Q(15) and Q(16),
			Digit(1) => Q(15) and not Q(16),
			BCD1 => Upperi,
			BCD2 => Loweri,
			SEGX => MSEG,
			DEG => MDEG
		);
		
		process (clock) begin
			if(clock'event and clock = '1') then
				Q <= Q + 1;
			end if;
		end process;
		LED <= Q(23);
end RTL;
		
		