library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity Display is
	port (
		Digit: in std_logic_vector(1 downto 0);
		BCD1 : in std_logic_vector(3 downto 0);
		BCD2 : in std_logic_vector(3 downto 0);
		SEGX : out std_logic_vector(7 downto 0);
		DEG  : out std_logic_vector(1 downto 0)
	);
end Display;

architecture RTL of Display is
	signal BCDi : std_logic_vector(3 downto 0);
	
	component SegLED
		port(
			BCD : in std_logic_vector(3 downto 0);
			SEG : out std_logic_vector(7 downto 0)
		);
	end component;
	
	begin
		D1 : SegLED port map(
			BCD => BCDi,
			SEG => SEGX);
		
		process(Digit, BCD1, BCD2) begin
			if(Digit = "01") then
				BCDi <= BCD1;
			elsif(Digit = "10") then
				BCDi <= BCD2;
			else 
				BCDi <= "1111";
			end if;
			DEG <= Digit;					
		end process;
end RTL;

	