library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity SegLED is
	port (
		BCD : in std_logic_vector(3 downto 0);
		SEG : out std_logic_vector(7 downto 0)
	);
end SegLED;

architecture RTL of SegLED is
	begin	
		process(BCD) begin
			case BCD is
				when "0000" => SEG <= "00111111"; --"3F";
				when "0001" => SEG <= "00000110"; --"06";
				when "0010" => SEG <= "01011011"; --"5B";
				when "0011" => SEG <= "01001111"; --"4F";
				when "0100" => SEG <= "01100110"; --"66";
				when "0101" => SEG <= "01101101"; --"6D";
				when "0110" => SEG <= "01111101"; --"7D";
				when "0111" => SEG <= "00000111"; --"07";
				when "1000" => SEG <= "01111111"; --"7F";
				when "1001" => SEG <= "01100111"; --"67";
				when others => SEG <= "01000000";
			end case;
		end process;		
end RTL;


